#!/bin/sh

apt-get --no-install-recommends install -y   devscripts

apt-get install -y   build-essential fakeroot   xsltproc   libconfig-general-perl     pkg-config     zip

apt-get install -y   autotools-dev cmake   autoconf automake autopoint comerr-dev libtool m4 quilt   bison flex libbison-dev   cdbs debhelper dh-autoreconf   krb5-multidev zlib1g-dev

apt-get --no-install-recommends install -y gawk ncurses-term

apt-get install -y \
  libdrm-dev xserver-xorg-dev \
  x11proto-video-dev x11proto-xf86dga-dev x11proto-xf86dri-dev x11proto-core-dev x11proto-fonts-dev \
  x11proto-randr-dev x11proto-render-dev x11proto-dri2-dev xutils-dev

apt-get install -y \
  libdrm-dev \
  x11proto-dri2-dev \
  libx11-dev \
  libxext-dev \
  libxfixes-dev \
  \
  x11proto-gl-dev \
  libxxf86vm-dev \
  libxdamage-dev \
  libxcb-glx0-dev \
  libxcb-dri2-0-dev \
  libx11-xcb-dev

apt-get install -y \
  x11proto-dri3-dev \
  x11proto-present-dev \
  libxcb-dri3-dev \
  libxcb-present-dev \
  libxcb-sync-dev \
  libxshmfence-dev || true

apt-get install -y libwayland-dev || true

apt-get install -y libibus-1.0-dev libsamplerate0-dev libxkbcommon-dev

apt-get install -y \
  libasound2-dev libpulse-dev \
  libudev-dev libxcursor-dev libxi-dev libxinerama-dev \
  libxrandr-dev libxss-dev libxt-dev libxv-dev doxygen

apt-get install -y libsndio-dev || true

apt-get install -y \
  flite1-dev \
  ladspa-sdk \
  libass-dev \
  libbluray-dev \
  libbs2b-dev \
  libbz2-dev \
  libcaca-dev \
  libcdio-paranoia-dev \
  libdc1394-22-dev \
  libfontconfig1-dev \
  libfribidi-dev \
  libgme-dev \
  libgnutls28-dev \
  libgsm1-dev \
  libiec61883-dev \
  libavc1394-dev \
  libjack-jackd2-dev \
  liblzma-dev \
  libmp3lame-dev \
  libmysofa-dev \
  libopenal-dev \
  libomxil-bellagio-dev \
  libopencore-amrnb-dev \
  libopencore-amrwb-dev \
  libopenjp2-7-dev \
  libopenmpt-dev \
  libopus-dev \
  librubberband-dev \
  librsvg2-dev \
  libsctp-dev \
  libshine-dev \
  libsnappy-dev \
  libsoxr-dev \
  libspeex-dev \
  libssh-gcrypt-dev \
  libtesseract-dev \
  libtheora-dev \
  libtwolame-dev \
  libva-dev \
  libvdpau-dev \
  libvo-amrwbenc-dev \
  libvorbis-dev \
  libvpx-dev \
  libwavpack-dev \
  libwebp-dev \
  libx265-dev \
  libxcb-shm0-dev \
  libxml2-dev \
  libxvidcore-dev \
  libxvmc-dev \
  libzmq3-dev \
  libzvbi-dev \
  texinfo \
  nasm

apt-get install -y wayland-protocols || true

apt-get install -y graphviz

apt-get install -y libglu1-mesa-dev || true

apt-get install -y libopengl0 libglvnd-core-dev
apt-get install -y libcodec2-dev liblilv-dev

apt-get build-dep ffmpeg

for f in egl.pc glesv1.pc glesv1_cm.pc glesv2.pc ; do
  if [ -e /usr/lib/aarch64-linux-gnu/pkgconfig/$f ]; then
    if grep -q -E '^Version: r.p.' /usr/lib/aarch64-linux-gnu/pkgconfig/$f ; then
      sed -i s/'^Version: r.p.'/'Version: 17.2.2'/g /usr/lib/aarch64-linux-gnu/pkgconfig/$f
    fi
  fi
done

echo OK
